# Contributing to JS-Web Framework

Hello and thanks for your interest in our project!

## Developer documentation

If you are a developer and want to contribute please check our [documentation](http://js-web-framework.com/).

## Reporting issues

JS-Web uses GitHub’s integrated issue tracking system to record bugs and feature requests. If you want to raise an issue, please follow the recommendations below:

- Before you submit an issue, please search the [issue tracker](https://github.com/js-web-framework/js-web/issues) to see if someone has already reported the problem.
- If the issue doesn’t already exist, create a new issue.
- Please provide as much information as possible with the issue report, we like to know the version of JS-Web that you are using, as well as your Operating System and Node version.
- If possible try to create a test-case or project that replicates the issue.

Some of them are easier than others. The [easy](https://github.com/js-web-framework/js-web/labels/easy)
label can be used to find the easy issues.


## Contributions

JS-Web welcomes contributions from everyone.

Contributions to JS-Web should be made in the form of GitHub pull requests. Each pull request will
be reviewed by a core contributor (someone with permission to land patches) and either landed in the
main tree or given feedback for changes that would be required.

Remember to follow our eslint config and run all test before submitting a pull request.

## Getting started.

1. Fork it!
2. Create your feature branch: git checkout -b my-new-feature
3. Commit your changes: git commit -am 'Add some feature'
4. Push to the branch: git push origin my-new-feature
5. Submit a pull request